body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    color: white; 
    text-align: center; 
  }
  
  #planetarium {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
  }
  
  .background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: black;
  }
  
  .star {
    position: absolute;
    background-color: #fff;
    width: 2px;
    height: 2px;
    border-radius: 50%;
    animation: twinkling 1.5s infinite;
  }
  
  @keyframes twinkling {
    0% { opacity: 1; transform: scale(1); }
    50% { opacity: 0.5; transform: scale(1.2); }
    100% { opacity: 1; transform: scale(1); }
  }
  
  
  
  .planet {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease;
    cursor: pointer;
  }
  
  .planet img {
    width: 100px; 
    height: 100px; 
  }
  
  .planet .info {
    display: none;
    position: absolute;
    top: 120px;
    left: 0;
    width: 200px;
    background-color: rgba(255, 255, 255, 0.8); 
    padding: 10px;
  }
  

  
  #mercury {
    top: 50%;
    left: 50%;
    margin-top: -10px;
    margin-left: -10px;
  }
  
  #venus {
    top: 70%;
    left: 30%;
    margin-top: -20px;
    margin-left: -20px;
  }
  
  #earth {
    top: 30%;
    left: 20%;
    margin-top: -20px;
    margin-left: -20px;
  }
  

  #rocket {
  }

  #mars {
    top: 60%;
    left: 60%;
    margin-top: -20px;
    margin-left: -20px;
  }
  
  #jupiter {
    top: 15%;
    left: 70%;
    margin-top: -30px;
    margin-left: -30px;
  }
  
  #saturn {
    top: 80%;
    left: 10%;
    margin-top: -30px;
    margin-left: -30px;
  }
  
  #uranus {
    top: 40%;
    left: 80%;
    margin-top: -20px;
    margin-left: -20px;
  }
  
  #neptune {
    top: 70%;
    left: 80%;
    margin-top: -20px;
    margin-left: -20px;
  }
  
  #sun {
    top: 10%;
    left: 40%;
    margin-top: -50px;
    margin-left: -50px;
    cursor: pointer;
  }
  